> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an interview by ID

> Get an interview by ID



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi get /studies/{studyId}/interviews/{interviewBookingId}
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /studies/{studyId}/interviews/{interviewBookingId}:
    get:
      tags:
        - Studies
      summary: Get an interview by ID
      description: Get an interview by ID
      parameters:
        - $ref: '#/components/parameters/StudyId'
        - $ref: '#/components/parameters/InterviewBookingId'
      responses:
        '200':
          description: The interview
          content:
            application/json:
              schema:
                type: object
                properties:
                  interviewBookingId:
                    type: string
                    description: The ID of the interview
                  studyId:
                    type: string
                    description: The ID of the study
                  state:
                    type: string
                    enum:
                      - SCHEDULED
                      - CANCELED
                      - COMPLETED
                      - NO_SHOWED
                  startTime:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  endTime:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  timezone:
                    type:
                      - string
                      - 'null'
                  title:
                    type:
                      - string
                      - 'null'
                  description:
                    type:
                      - string
                      - 'null'
                  conferenceType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - NONE
                      - ZOOM
                      - GOOGLE_MEET
                      - CALENDLY
                      - CUSTOM
                      - MICROSOFT_TEAMS
                      - null
                  conferenceUrl:
                    type:
                      - string
                      - 'null'
                    description: The URL of the conference/meeting
                  observerRoomId:
                    type:
                      - string
                      - 'null'
                  participants:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type:
                            - string
                            - 'null'
                          description: The email of the attendee
                        rsvpStatus:
                          type: string
                          enum:
                            - NOREPLY
                            - MAYBE
                            - 'YES'
                            - 'NO'
                          description: The status of the attendee
                        type:
                          type: string
                          enum:
                            - PARTICIPANT
                        participantId:
                          type: string
                      required:
                        - email
                        - rsvpStatus
                        - type
                        - participantId
                  hosts:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type:
                            - string
                            - 'null'
                          description: The email of the attendee
                        rsvpStatus:
                          type: string
                          enum:
                            - NOREPLY
                            - MAYBE
                            - 'YES'
                            - 'NO'
                          description: The status of the attendee
                        type:
                          type: string
                          enum:
                            - HOST
                        userId:
                          type:
                            - string
                            - 'null'
                      required:
                        - email
                        - rsvpStatus
                        - type
                        - userId
                  guests:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type:
                            - string
                            - 'null'
                          description: The email of the attendee
                        rsvpStatus:
                          type: string
                          enum:
                            - NOREPLY
                            - MAYBE
                            - 'YES'
                            - 'NO'
                          description: The status of the attendee
                        type:
                          type: string
                          enum:
                            - GUEST
                        userId:
                          type:
                            - string
                            - 'null'
                      required:
                        - email
                        - rsvpStatus
                        - type
                        - userId
                required:
                  - interviewBookingId
                  - studyId
                  - state
                  - startTime
                  - endTime
                  - timezone
                  - title
                  - description
                  - conferenceType
                  - conferenceUrl
                  - observerRoomId
                  - participants
                  - hosts
                  - guests
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                type: string
                example: '{Resource} not found'
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  parameters:
    StudyId:
      schema:
        $ref: '#/components/schemas/StudyId'
      required: true
      name: studyId
      in: path
    InterviewBookingId:
      schema:
        $ref: '#/components/schemas/InterviewBookingId'
      required: true
      name: interviewBookingId
      in: path
  schemas:
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
    StudyId:
      type: string
    InterviewBookingId:
      type: string
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````